java.util.zip

## Class Adler32

- java.lang.Object
- - java.util.zip.Adler32

- All Implemented Interfaces:
    Checksum

      public class Adler32
      extends Object
      implements Checksum

  A class that can be used to compute the Adler-32 checksum of a data stream. An Adler-32 checksum is almost as reliable as a CRC-32 but can be computed much faster.
  See Also:
    `Checksum`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Adler32()` Creates a new Adler32 object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getValue()` Returns the checksum value.
    `void` | `reset()` Resets the checksum to initial value.
    `void` | `update(byte[] b)` Updates the checksum with the specified array of bytes.
    `void` | `update(byte[] b, int off, int len)` Updates the checksum with the specified array of bytes.
    `void` | `update(int b)` Updates the checksum with the specified byte (the low eight bits of the argument b).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Adler32

          public Adler32()

      Creates a new Adler32 object.

  - ### Method Detail

    - #### update

          public void update(int b)

      Updates the checksum with the specified byte (the low eight bits of the argument b).
      Specified by:
        `update` in interface `Checksum`
      Parameters:
        `b` - the byte to update the checksum with

    - #### update

          public void update(byte[] b,
                    int off,
                    int len)

      Updates the checksum with the specified array of bytes.
      Specified by:
        `update` in interface `Checksum`
      Parameters:
        `b` - the byte array to update the checksum with
        `off` - the start offset of the data
        `len` - the number of bytes to use for the update

    - #### update

          public void update(byte[] b)

      Updates the checksum with the specified array of bytes.
      Parameters:
        `b` - the byte array to update the checksum with

    - #### reset

          public void reset()

      Resets the checksum to initial value.
      Specified by:
        `reset` in interface `Checksum`

    - #### getValue

          public long getValue()

      Returns the checksum value.
      Specified by:
        `getValue` in interface `Checksum`
      Returns:
        the current checksum value

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.